Table of Contents

## Name

XtOffset, XtOffsetOf, XtNumber - determine the byte offset or number of array elements

## Syntax

Cardinal XtOffset(pointer_type, field_name)
Type pointer_type;
Field field_name;

Cardinal XtOffsetOf(structure_type, field_name)
Type structure_type;
Field field_name;

Cardinal XtNumber(array)
ArrayVariable array;

## Arguments

array
  Specifies a fixed-size array.
field_name
  Specifies the name of the field for which to calculate the byte offset.
pointer_type
  Specifies a type that is declared as a pointer to the structure.
structure_type
  Specifies a type that is declared as a structure.

## Description

The XtOffset macro is usually used to determine the offset of various resource fields from the beginning of a widget and can be used at compile time in static initializations.

The XtOffsetOf macro expands to a constant expression that gives the offset in bytes to the specified structure member rom the beginning of the structure. It is normally used to statically initialize resource lists and is more portable than XtOffset, which serves the same function.

The XtNumber macro returns the number of elements in the specified argument lists, resources lists, and other counted arrays.

## See Also

XtGetResourceList(3Xt) , XtSetArg(3Xt)
X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface

Table of Contents

- Name
- Syntax
- Arguments
- Description
- See Also